Name:           python-ibm-cos-sdk-core
Version:        2.14.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Low-level, data-driven core of IBM SDK for Python

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/ibm/ibm-cos-sdk-python-core
Source:         %{pypi_source ibm_cos_sdk_core}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ibm-cos-sdk-core' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ibm-cos-sdk-core
Summary:        %{summary}

%description -n python3-ibm-cos-sdk-core %_description


%prep
%autosetup -p1 -n ibm_cos_sdk_core-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ibm-cos-sdk-core -f %{pyproject_files}


%changelog
%autochangelog